Bug 1228861 - [abrt] cinnamon: g_type_check_instance_cast(): python2.7 killed by SIGSEGV
Summary: [abrt] cinnamon: g_type_check_instance_cast(): python2.7 killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: opencv
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:41cc006428fa0f080dd1604950a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-05 23:42 UTC by bluemle
Modified: 2015-07-30 01:10 UTC (History)
11 users (show)

Fixed In Version: opencv-2.4.11-5.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-30 01:10:40 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (78.82 KB, text/plain)
2015-06-05 23:42 UTC, bluemle
no flags Details
File: cgroup (190 bytes, text/plain)
2015-06-05 23:42 UTC, bluemle
no flags Details
File: core_backtrace (15.71 KB, text/plain)
2015-06-05 23:42 UTC, bluemle
no flags Details
File: dso_list (28.28 KB, text/plain)
2015-06-05 23:42 UTC, bluemle
no flags Details
File: environ (1.35 KB, text/plain)
2015-06-05 23:42 UTC, bluemle
no flags Details
File: limits (1.29 KB, text/plain)
2015-06-05 23:43 UTC, bluemle
no flags Details
File: maps (127.26 KB, text/plain)
2015-06-05 23:43 UTC, bluemle
no flags Details
File: mountinfo (3.38 KB, text/plain)
2015-06-05 23:43 UTC, bluemle
no flags Details
File: namespaces (85 bytes, text/plain)
2015-06-05 23:43 UTC, bluemle
no flags Details
File: open_fds (1.15 KB, text/plain)
2015-06-05 23:43 UTC, bluemle
no flags Details
File: proc_pid_status (954 bytes, text/plain)
2015-06-05 23:43 UTC, bluemle
no flags Details

Description bluemle 2015-06-05 23:42:50 UTC
Description of problem:
Tried to open "Kontodetails" (account details) in system settings.

Version-Release number of selected component:
cinnamon-2.4.8-1.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        python /usr/lib/cinnamon-settings/cinnamon-settings.py
crash_function: g_type_check_instance_cast
executable:     /usr/bin/python2.7
global_pid:     1839
kernel:         4.0.4-303.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at Sa 2015-06-06 01:16:36 CEST, end at Sa 2015-06-06 01:28:55 CEST. --

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at gtype.c:4055
 #1 CvCapture_GStreamer::close at /usr/src/debug/opencv-2.4.9/modules/highgui/src/cap_gstreamer.cpp:189
 #2 ~CvCapture_GStreamer at /usr/src/debug/opencv-2.4.9/modules/highgui/src/cap_gstreamer.cpp:120
 #3 CvCapture_GStreamer::~CvCapture_GStreamer at /usr/src/debug/opencv-2.4.9/modules/highgui/src/cap_gstreamer.cpp:120
 #4 cvReleaseCapture at /usr/src/debug/opencv-2.4.9/modules/highgui/src/cap.cpp:66
 #5 Capture_dealloc at /usr/src/debug/opencv-2.4.9/build/modules/python/generated3.i:179
 #6 frame_dealloc at /usr/src/debug/Python-2.7.9/Objects/frameobject.c:460
 #7 fast_function at /usr/src/debug/Python-2.7.9/Python/ceval.c:4198
 #8 call_function at /usr/src/debug/Python-2.7.9/Python/ceval.c:4131
 #9 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.9/Python/ceval.c:2753

Comment 1 bluemle 2015-06-05 23:42:54 UTC
Created attachment 1035491 [details]
File: backtrace

Comment 2 bluemle 2015-06-05 23:42:55 UTC
Created attachment 1035492 [details]
File: cgroup

Comment 3 bluemle 2015-06-05 23:42:57 UTC
Created attachment 1035493 [details]
File: core_backtrace

Comment 4 bluemle 2015-06-05 23:42:58 UTC
Created attachment 1035494 [details]
File: dso_list

Comment 5 bluemle 2015-06-05 23:42:59 UTC
Created attachment 1035495 [details]
File: environ

Comment 6 bluemle 2015-06-05 23:43:01 UTC
Created attachment 1035496 [details]
File: limits

Comment 7 bluemle 2015-06-05 23:43:03 UTC
Created attachment 1035497 [details]
File: maps

Comment 8 bluemle 2015-06-05 23:43:04 UTC
Created attachment 1035498 [details]
File: mountinfo

Comment 9 bluemle 2015-06-05 23:43:05 UTC
Created attachment 1035499 [details]
File: namespaces

Comment 10 bluemle 2015-06-05 23:43:07 UTC
Created attachment 1035500 [details]
File: open_fds

Comment 11 bluemle 2015-06-05 23:43:08 UTC
Created attachment 1035501 [details]
File: proc_pid_status

Comment 12 Fedora Update System 2015-06-26 01:38:40 UTC
opencv-2.4.11-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/opencv-2.4.11-3.fc22

Comment 13 Fedora Update System 2015-06-26 20:31:57 UTC
Package opencv-2.4.11-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing opencv-2.4.11-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10787/opencv-2.4.11-3.fc22
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2015-07-06 14:36:16 UTC
opencv-2.4.11-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/opencv-2.4.11-4.fc22

Comment 15 Fedora Update System 2015-07-15 04:38:37 UTC
opencv-2.4.11-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/opencv-2.4.11-5.fc22

Comment 16 Fedora Update System 2015-07-30 01:10:40 UTC
opencv-2.4.11-5.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.